Author Topic: Details about installing Nightly builds  (Read 2639 times)

xinsuiyuer

  • Guest
Details about installing Nightly builds
« on: November 26, 2011, 03:51:06 pm »
I spent a few hour to compile the lastest Nightly builds.
Before that, I have configured g++ in order to support C++0x,
so I checked the "Have g++ folow the coming C++0x ISO C++ language standard
[-std=c++0x]" option. I got error information like
"autorevision.cpp|102|error: 'popen' was not declared in this scope
wxMSW-2.8.12\include\wx\buffer.h|127|error: 'strdup' was not declared in this scope"
as soon as I started compiling. In this case, you just need to uncheck the option.
I hope it will help you.
Sorry, my English is poor. :(

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 12085
    • Travis build status
Re: Details about installing Nightly builds
« Reply #1 on: November 26, 2011, 07:24:55 pm »
What you tried without the c++0x (c++11) option?
Why don't you use the pre-compiled version available in the nightly build subforum?
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]